<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0" >

<!-- Version notes: this was changed by Hugh on 13.12.23 to serve the John Coptic transcriptions; it does not exploit the Firefox bug to display columns-->

<xsl:template match="/">
 <html>
 <head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
 <title>IGNTP Coptic Transcription Display</title>
 <script type="text/javascript">
function gotoTranscription(wit)
{
window.parent.location.href = ""+ wit ;
return false;
}
function gotoVerse(){
document.location.hash = document.location.hash;
return false;
}

function resetforms(){
document.getElementById("transnavApp").reset();
document.getElementById("transnavPap").reset();
document.getElementById("transnavMaj").reset();
document.getElementById("transnavMin").reset();
document.getElementById("transnavLect").reset();
document.getElementById("transnavCop").reset();
document.getElementById("transnavLat").reset();
}

</script>

<style type="text/css">
 body { background-color:#fae6c3; font-family: Gentium, Times, Gentium Plus, Arial Unicode MS;}
 div#header {}
 h1 {font-family:Gentium, Times New Roman;
 color:darkRed;
 font-size:3em;
 float:left;
 display: inline;
 }
 h2 {
 font-family:Gentium, Times New Roman;
 font-size:1.5em;
 }
 a:link {
 	text-decoration:none;
 }
 a:visited {
 	text-decoration:none;
 }
 h3 {
 font-family:Gentium, Times New Roman;
 font-size:1.3em;
 }
 span#logo {font-family:Gentium, Times New Roman;
 color:darkRed;
 font-size:3em;
 display: inline;
 float:left;
 }
 span#top {font-family:Gentium, Times New Roman;
 color:black;
 font-size:1.5em;
 display: inline;
 float:bottom;
 }
 span#text { font-family: Antinoou, Gentium, Times, Gentium Plus;
 font-size:1.2em;
 }
 p.menu {clear: both;}
 span.verse_number {color:grey;
  font-size:0.8em;}
 span.line_number {color:grey;
  font-size:0.8em;}
   span.catalogues {color:black;
  font-size:1em;}
     span.title {color:black;
  font-size:1.3em;}
 span.supplied{color:red;}
 span.unclear{color:grey;}
 span.editioprinceps{color:#44d8d1;}
 span.correction{color:blue;}
 span.original{color:green;}
 span.editorialnote{color:blue;}
 span.commentary{color:black;
 	font-style:italic;}
 span.headernote{font-style:italic;}
 span.localnote{color:white;}
 </style>

 </head>
 <body onload="gotoVerse(); resetforms();">
 <div id="header">
 <a href="http://www.igntp.org/" target="_self"><span id="logo"><strong>igntp</strong></span></a><span id="top"><strong>XML</strong>       The Gospel according to John         <a href="http://www.iohannes.com/transcriptions/index.html" target="_self"
       title="Click here for the IGNTP John XML start page"><strong>⌂</strong></a></span>
 </div>
 <div id="navigation">
 <p class="menu"><table><tr>

 <td>
<form name="transnavCop" id="transnavCop"><select name="ms" onChange="gotoTranscription(this.value);">
<option value="">Select Manuscript</option>
<option value="04_sa1.xml">sa1</option>
<option value="04_sa3.xml">sa3</option>
<option value="04_sa4.xml">sa4</option>
<option value="04_sa5.xml">sa5</option>
<option value="04_sa8.xml">sa8</option>
<option value="04_sa9.xml">sa9</option>
<option value="04_sa10.xml">sa10</option>
<option value="04_sa13.xml">sa13</option>
<option value="04_sa14.xml">sa14</option>
<option value="04_sa15.xml">sa15</option>
<option value="04_sa16.xml">sa16</option>
<option value="04_sa22.xml">sa22</option>
<option value="04_sa40.xml">sa40</option>
<option value="04_sa56.xml">sa56</option>
<option value="04_sa57.xml">sa57</option>
<option value="04_sa58.xml">sa58</option>
<option value="04_sa59.xml">sa59</option>
<option value="04_sa60.xml">sa60</option>
<option value="04_sa65.xml">sa65</option>
<option value="04_sa66.xml">sa66</option>
<option value="04_sa74.xml">sa74</option>
<option value="04_sa80.xml">sa80</option>
<option value="04_sa81.xml">sa81</option>
<option value="04_sa83.xml">sa83</option>
<option value="04_sa84.xml">sa84</option>
<option value="04_sa85.xml">sa85</option>
<option value="04_sa86.xml">sa86</option>
<option value="04_sa87.xml">sa87</option>
<option value="04_sa89.xml">sa89</option>
<option value="04_sa90.xml">sa90</option>
<option value="04_sa101.xml">sa101</option>
<option value="04_sa102.xml">sa102</option>
<option value="04_sa103.xml">sa103</option>
<option value="04_sa105.xml">sa105</option>
<option value="04_sa106.xml">sa106</option>
<option value="04_sa108.xml">sa108</option>
<option value="04_sa109.xml">sa109</option>
<option value="04_sa110.xml">sa110</option>
<option value="04_sa112.xml">sa112</option>
<option value="04_sa115.xml">sa115</option>
<option value="04_sa116.xml">sa116</option>
<option value="04_sa117.xml">sa117</option>
<option value="04_sa123.xml">sa123</option>
<option value="04_sa124.xml">sa124</option>
<option value="04_sa125.xml">sa125</option>
<option value="04_sa126.xml">sa126</option>
<option value="04_sa127.xml">sa127</option>
<option value="04_sa131.xml">sa131</option>
<option value="04_sa132.xml">sa132</option>
<option value="04_sa134.xml">sa134</option>
<option value="04_sa136.xml">sa136</option>
<option value="04_sa137.xml">sa137</option>
<option value="04_sa139.xml">sa139</option>
<option value="04_sa140.xml">sa140</option>
<option value="04_sa141.xml">sa141</option>
<option value="04_sa142.xml">sa142</option>
<option value="04_sa143.xml">sa143</option>
<option value="04_sa154.xml">sa154</option>
<option value="04_sa155.xml">sa155</option>
<option value="04_sa159.xml">sa159</option>
<option value="04_sa162.xml">sa162</option>
<option value="04_sa163.xml">sa163</option>
<option value="04_sa167.xml">sa167</option>
<option value="04_sa168.xml">sa168</option>
<option value="04_sa173.xml">sa173</option>
<option value="04_sa174.xml">sa174</option>
<option value="04_sa177.xml">sa177</option>
<option value="04_sa178.xml">sa178</option>
<option value="04_sa180.xml">sa180</option>
<option value="04_sa181.xml">sa181</option>
<option value="04_sa182.xml">sa182</option>
<option value="04_sa187.xml">sa187</option>
<option value="04_sa190.xml">sa190</option>
<option value="04_sa193.xml">sa193</option>
<option value="04_sa194.xml">sa194</option>
<option value="04_sa195.xml">sa195</option>
<option value="04_sa196.xml">sa196</option>
<option value="04_sa197.xml">sa197</option>
<option value="04_sa199.xml">sa199</option>
<option value="04_sa205.xml">sa205</option>
<option value="04_sa207.xml">sa207</option>
<option value="04_sa209.xml">sa209</option>
<option value="04_sa215.xml">sa215</option>
<option value="04_sa216.xml">sa216</option>
<option value="04_sa217.xml">sa217</option>
<option value="04_sa218.xml">sa218</option>
<option value="04_sa219.xml">sa219</option>
<option value="04_sa234.xml">sa234</option>
<option value="04_sa235.xml">sa235</option>
<option value="04_sa237.xml">sa237</option>
<option value="04_sa238.xml">sa238</option>
<option value="04_sa243.xml">sa243</option>
<option value="04_sa244.xml">sa244</option>
<option value="04_sa246.xml">sa246</option>
<option value="04_sa250.xml">sa250</option>
<option value="04_sa251.xml">sa251</option>
<option value="04_sa255.xml">sa255</option>
<option value="04_sa256.xml">sa256</option>
<option value="04_sa259.xml">sa259</option>
<option value="04_sa260.xml">sa260</option>
<option value="04_sa268.xml">sa268</option>
<option value="04_sa270.xml">sa270</option>
<option value="04_sa271.xml">sa271</option>
<option value="04_sa275.xml">sa275</option>
<option value="04_sa276.xml">sa276</option>
<option value="04_sa285.xml">sa285</option>
<option value="04_sa286.xml">sa286</option>
<option value="04_sa291.xml">sa291</option>
<option value="04_sa292.xml">sa292</option>
<option value="04_sa293.xml">sa293</option>
<option value="04_sa294.xml">sa294</option>
<option value="04_sa295.xml">sa295</option>
<option value="04_sa296.xml">sa296</option>
<option value="04_sa297.xml">sa297</option>
<option value="04_sa298.xml">sa298</option>
<option value="04_sa299.xml">sa299</option>
<option value="04_sa300.xml">sa300</option>
<option value="04_sa301.xml">sa301</option>
<option value="04_sa302.xml">sa302</option>
<option value="04_sa305.xml">sa305</option>
<option value="04_sa306.xml">sa306</option>
<option value="04_sa308.xml">sa308</option>
<option value="04_sa310.xml">sa310</option>
<option value="04_sa313.xml">sa313</option>
<option value="04_sa317.xml">sa317</option>
<option value="04_sa318.xml">sa318</option>
<option value="04_sa324.xml">sa324</option>
<option value="04_sa326.xml">sa326</option>
<option value="04_sa330.xml">sa330</option>
<option value="04_sa335.xml">sa335</option>
<option value="04_sa336.xml">sa336</option>
<option value="04_sa337.xml">sa337</option>
<option value="04_sa339.xml">sa339</option>
<option value="04_sa340.xml">sa340</option>
<option value="04_sa342.xml">sa342</option>
<option value="04_sa343.xml">sa343</option>
<option value="04_sa347.xml">sa347</option>
<option value="04_sa349.xml">sa349</option>
<option value="04_sa350.xml">sa350</option>
<option value="04_sa352.xml">sa352</option>
<option value="04_sa369.xml">sa369</option>
<option value="04_sa402.xml">sa402</option>
<option value="04_sa407.xml">sa407</option>
<option value="04_sa411.xml">sa411</option>
<option value="04_sa440.xml">sa440</option>
<option value="04_sa452.xml">sa452</option>
<option value="04_sa454.xml">sa454</option>
<option value="04_sa455.xml">sa455</option>
<option value="04_sa647.xml">sa647</option>
<option value="04_sa649.xml">sa649</option>
</select></form></td>
 <td>  </td>

 </tr></table>
</p></div>

<h2><xsl:for-each select="tei:TEI/tei:teiHeader/tei:fileDesc/tei:titleStmt">
 <xsl:choose><xsl:when test="@type=''">:</xsl:when></xsl:choose><xsl:value-of select="tei:title"/>
 </xsl:for-each></h2>
<span class="catalogues">
 <xsl:for-each select="tei:TEI/tei:teiHeader/tei:fileDesc/tei:sourceDesc/tei:msDesc/tei:msIdentifier/tei:altIdentifier">
 <xsl:choose>
 <xsl:when test="@type='partial'"><em>also</em> <xsl:apply-templates/><br/></xsl:when>
 <xsl:when test="@type='smr'"><a target="_SMR" href="http://intf.uni-muenster.de/smr/">SMR</a><xsl:text> </xsl:text><xsl:apply-templates/><xsl:text>; </xsl:text></xsl:when>
  <xsl:when test="@type='Liste'"> (<a target="_liste"><xsl:attribute name="href">http://intf.uni-muenster.de/vmr/NTVMR/ListeHandschriften.php?ObjID=<xsl:apply-templates/></xsl:attribute>Liste</a>)</xsl:when>
  <xsl:when test="@type='NTVMR'"> <a target="_NTVMR"><xsl:attribute name="href">https://ntvmr.uni-muenster.de/catalog?docID=<xsl:apply-templates/></xsl:attribute>NTVMR</a><br/></xsl:when>
   <xsl:when test="@type='Tischendorf'">; Tischendorf <xsl:apply-templates/></xsl:when>
 <xsl:when test="@type='P.Oxy'">; P. Oxy <xsl:apply-templates/></xsl:when>
  <xsl:when test="@type='LDAB'">; LDAB <xsl:apply-templates/></xsl:when>
   <xsl:when test="@type='TM'">; TM <a target="_liste"><xsl:attribute name="href">http://www.trismegistos.org/ldab/text.php?tm=<xsl:apply-templates/></xsl:attribute><xsl:apply-templates/></a></xsl:when>
 </xsl:choose>
 </xsl:for-each></span><xsl:for-each select="tei:TEI/tei:teiHeader/tei:fileDesc/tei:titleStmt/tei:respStmt">
 <xsl:value-of select="tei:resp"/><xsl:text> </xsl:text><xsl:value-of select="tei:name"/><xsl:text> </xsl:text><br/><!--xsl:value-of select="tei:note"/--></xsl:for-each>

<p><i>These transcriptions display best with the free <a target="_new" href="http://www.evertype.com/fonts/coptic/">Antinoou font</a>.</i></p>

 <p>Pages: <xsl:for-each select="tei:TEI//tei:pb">
 <!--xsl:choose>
		<xsl:when test="@*[contains(.,'-')]">
			<a href="#P-{@n}"><xsl:value-of select="substring-after(substring-before(@n,'-'),'P')"/></a>
		</xsl:when>
		<xsl:otherwise>
			<a href="#P-{@n}"><xsl:value-of select="@n"/></a>
		</xsl:otherwise>
</xsl:choose-->

 <a href="#P-{@n}"><xsl:value-of select="substring-before(@n,'-')"/></a>  </xsl:for-each></p>
  <p>Chapters: <xsl:for-each select="tei:TEI//tei:div[@type='chapter']"><a href="#K-{@n}">
    <xsl:value-of select="substring-after(@n,'.')"/></a>  </xsl:for-each></p>
 <span id="text"><p>
 <xsl:apply-templates/>
<hr/>
</p></span></body>
 </html>
</xsl:template>

<!-- Text stuff -->
<!-- Page layout-->
<xsl:template match="tei:pb">
<xsl:choose><xsl:when test="@n='0'"></xsl:when>
<xsl:otherwise>
<p id="P-{@n}"/><hr/>
<p align="left">
<xsl:choose>
		<xsl:when test="@type='page'">Page </xsl:when>
		<xsl:when test="@type='folio'">Folio </xsl:when>
		<xsl:otherwise>Page </xsl:otherwise>
</xsl:choose>
<xsl:choose>
		<xsl:when test="@n[contains(.,'-')]">
		<xsl:value-of select="substring-after(substring-before(@n,'-'),'P')"/>     <a href="#top">back to top</a>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="@n"/>     <a href="#top">back to top</a>
		</xsl:otherwise>
</xsl:choose>
</p><p><xsl:apply-templates/></p>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="tei:cb">
<xsl:choose>
		<xsl:when test="@n='1'"></xsl:when>
		<xsl:when test="@n[contains(.,'C1-')]"></xsl:when>
		<xsl:when test="@n[contains(.,'C2-')]">
		<p align="left">Column <xsl:value-of select="substring-after(substring-before(@n,'-'),'C')"/></p>
		</xsl:when>
		<xsl:otherwise><p align="left">Column <xsl:value-of select="@n"/></p>
		</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="tei:lb">
	<br/><span class="line_number">
	<xsl:choose>
	<xsl:when test="@n='3'"><xsl:value-of select="@n"/> </xsl:when>
	<xsl:when test="@n='6'"><xsl:value-of select="@n"/> </xsl:when>
	<xsl:when test="@n='9'"><xsl:value-of select="@n"/> </xsl:when>
	<xsl:when test="@n='12'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='15'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='18'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='21'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='24'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='27'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='30'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='33'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='36'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='39'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='42'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='45'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='48'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='51'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='54'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='57'"><xsl:value-of select="@n"/></xsl:when>
	<xsl:when test="@n='60'"><xsl:value-of select="@n"/></xsl:when>	<xsl:otherwise><xsl:text>    </xsl:text></xsl:otherwise>
	</xsl:choose>
	</span>
	<xsl:choose>
		<xsl:when test="@rend='hang'"> </xsl:when>
		<xsl:when test="@rend='rightJust'"><xsl:text>                                                            </xsl:text></xsl:when>
		<xsl:when test="@rend='centerJust'"><xsl:text>                                 </xsl:text></xsl:when>
		<xsl:otherwise><xsl:text>          </xsl:text></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- Text layout-->
<xsl:template match="tei:div[@type='chapter']">
	<span class="verse_number" id="K-{@n}"><strong><xsl:value-of select="substring-after(@n,'.')"/>:</strong></span>
	<xsl:apply-templates/>
</xsl:template>
<xsl:template match="tei:div[@type='chapter']/tei:ab">
	<span class="verse_number" id="V-{@n}"><strong>
		<xsl:value-of select="substring-after(substring-after(@n,'.'),'.')"/>
	</strong> </span>
	<xsl:apply-templates/>
</xsl:template>
<xsl:template match="tei:w">
	<xsl:apply-templates/><xsl:text> </xsl:text>
</xsl:template>
<xsl:template match="tei:pc">
	<xsl:apply-templates/><xsl:text> </xsl:text>
</xsl:template>
<xsl:template match="tei:div[@rend='rightJust']">
	<p align="right"><strong><xsl:apply-templates/></strong></p>
</xsl:template>
<xsl:template match="tei:div[@rend='centerJust']">
	<p align="center"><strong><xsl:apply-templates/></strong></p>
</xsl:template>
<xsl:template match="tei:div[@type='inscriptio']">
	<span class="verse_number"><strong>Inscr. </strong></span>
	<xsl:apply-templates/>
</xsl:template>
<xsl:template match="tei:div[@type='subscriptio']">
	<span class="verse_number"><strong>Subscr. </strong></span>
	<xsl:apply-templates/>
</xsl:template>

<!-- Notes-->
<xsl:template match="tei:note[@type='header']">
<!-- @Cat: this really needs to be on a line of its own at the top of each page -->
	<span class="headernote"><xsl:apply-templates/></span>
</xsl:template>
<xsl:template match="tei:note[@type='editorial']">
<span class="editorialnote"><xsl:attribute name="title"><xsl:apply-templates/></xsl:attribute>
<sup> Note </sup></span>
</xsl:template>
<xsl:template match="tei:note[@type='transcriberQuery']">
</xsl:template>
<xsl:template match="tei:note[@type='local']">
<span class="localnote"><!--xsl:attribute name="title"><xsl:apply-templates/></xsl:attribute>
<sup> Note </sup--></span>
</xsl:template>
<xsl:template match="tei:note[@type='commentary']">
<span class="commentary"><xsl:text>[Commentary]</xsl:text></span>
</xsl:template>

<!-- Gap, space, unclear-->
<xsl:template match="tei:gap">
	<xsl:if test="@reason='lacuna/illegible'"><span class="supplied" title="{@extent} {@unit} illegible/lacuna">[...]</span></xsl:if>
	<xsl:if test="@reason='lacuna'">
	<xsl:choose>
	<xsl:when test="@unit='verse'"></xsl:when>
	<xsl:otherwise>
		<span class="supplied" title="Lacuna of {@extent} {@unit}">[...]</span>
	</xsl:otherwise>
	</xsl:choose>
	</xsl:if>
	<xsl:if test="@reason='illegible'"><span class="supplied" title="{@extent} {@unit} illegible">[...]</span></xsl:if>
	<xsl:if test="@reason='witnessEnd'"><span class="supplied" title="End of witness">[– – –]</span></xsl:if>
</xsl:template>
<xsl:template match="tei:space">
	  
</xsl:template>
<xsl:template match="tei:unclear">
	<span class="unclear"><xsl:apply-templates/></span></xsl:template>
	<!-- @Cat: here is an underdot but we need them to appear under each character in the unclear tags><span class="unclear"><xsl:apply-templates/>̣</span-->

<!-- Corrections-->
<xsl:template match="tei:app">
	{<xsl:apply-templates/>}
</xsl:template>

<xsl:template match="tei:rdg">
	<span><xsl:attribute name="title">
	<xsl:choose>
		<xsl:when test="@type='orig'">First hand reading: <xsl:apply-templates/></xsl:when>
		<xsl:when test="@type='corr'">
			<xsl:choose>
			<xsl:when test="@hand='firsthand'">Correction by first hand: <xsl:apply-templates/></xsl:when>
			<xsl:when test="@hand='corrector'">Correction: <xsl:apply-templates/></xsl:when>
			<xsl:otherwise>Corrector <xsl:value-of select="@hand"/>: <xsl:apply-templates/></xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:when test="@type='alt'">
			<xsl:choose>
			<xsl:when test="@hand='firsthand'">Alternative reading (first hand: <xsl:apply-templates/></xsl:when>
			<xsl:otherwise>Alternative reading: <xsl:apply-templates/></xsl:otherwise>
			</xsl:choose>
		</xsl:when>
	</xsl:choose></xsl:attribute>
	<xsl:choose>
		<xsl:when test="@type='orig'"><span class="original">
			<xsl:choose><xsl:when test="not(.//*)">[omission]</xsl:when>
			<xsl:otherwise><xsl:apply-templates/></xsl:otherwise></xsl:choose></span>
		</xsl:when>
		<xsl:when test="@type='alt'">/<span class="original"><xsl:apply-templates/></span></xsl:when>
		<xsl:when test="@type='corr'">/<span class="correction"><xsl:choose><xsl:when test="not(.//*)">[deletion]</xsl:when>
			<xsl:otherwise><xsl:apply-templates/></xsl:otherwise></xsl:choose></span></xsl:when>
	</xsl:choose>
</span>
</xsl:template>

<!-- Decorations and fw-->
<xsl:template match="tei:hi[@rend='overline']">
	<span style="text-decoration:overline"><xsl:apply-templates/></span>
	<!-- @Cat: is there any way of turning the overline off and on again when there is a line break in the middle of the hi element? See, e.g. 09 P5vC1L6 to L7 -->
</xsl:template>
<xsl:template match="tei:fw">

	<span><xsl:attribute name="title"> <xsl:value-of select="@type"/></xsl:attribute><xsl:apply-templates/></span>
</xsl:template>

<!-- margins-->
<xsl:template match="tei:seg[@subtype='pagetop']">
	<xsl:apply-templates/>
	<!-- @Cat: the following tr is another display fix for Firefox-->
	<tr/>
</xsl:template>
<xsl:template match="tei:seg[@subtype='pagebottom']">
	<td/><tr/><xsl:apply-templates/>
</xsl:template>

<!-- Supplied-->
<xsl:template match="tei:ex">(<xsl:apply-templates/>)</xsl:template>

<xsl:template match="tei:supplied[@source='EditioPrinceps']">
	<span class="editioprinceps">
	<xsl:apply-templates/>
	</span>
</xsl:template>
<xsl:template match="tei:supplied[not(@source='EditioPrinceps')]">
	<span class="supplied">
	<xsl:if test="
		   not((preceding::text()[ancestor::tei:w])[last()][ancestor::tei:supplied[not(@source='EditioPrinceps')]])
		or not(string(number(translate(child::text(), '- ', '')))='NaN')
		or not(string(number(translate(string(preceding::tei:w[1]//child::text()), '- ', '')))='NaN')
		or name((preceding::tei:gap|preceding::tei:w)[last()]) = 'gap'
		or (not(ancestor::tei:fw) and preceding::tei:w[1]/ancestor::tei:fw)
		or (not(ancestor::tei:rdg) and preceding::tei:w[1]/ancestor::tei:rdg)
		or (ancestor::tei:rdg and not(ancestor::tei:rdg = preceding::tei:w[1]/ancestor::tei:rdg))

	" >[</xsl:if>
	<xsl:apply-templates/>
	<xsl:choose>
		<xsl:when test="
		   not(following::text()[ancestor::tei:w][1][ancestor::tei:supplied[not(@source='EditioPrinceps')]])
		or not(string(number(translate(child::text(), '- ', '')))='NaN')
		or not(string(number(translate(string(following::tei:w[1]//child::text()), '- ', '')))='NaN')
		or name((following::tei:gap|following::tei:w)[1]) = 'gap'
		or (ancestor::tei:fw and not(following::tei:w[1]/ancestor::fw))
		or (not(ancestor::tei:rdg) and following::tei:w[1]/ancestor::tei:rdg)
		or (ancestor::tei:rdg and not(ancestor::tei:rdg = following::tei:w[1]/ancestor::tei:rdg))
	" >]</xsl:when>
	<xsl:otherwise> </xsl:otherwise>
	</xsl:choose>
	</span>
</xsl:template>

<!-- header stuff -->
<xsl:template match="tei:titleStmt">
</xsl:template>
<xsl:template match="tei:editionStmt">
</xsl:template>
<xsl:template match="tei:publicationStmt">
</xsl:template>
<xsl:template match="tei:country">
</xsl:template>
<xsl:template match="tei:msName">
</xsl:template>
<xsl:template match="tei:altIdentifier">
</xsl:template>
<xsl:template match="tei:encodingDesc">
</xsl:template>
<xsl:template match="tei:revisionDesc">
</xsl:template>
<xsl:template match="tei:sourceDesc">
</xsl:template>

</xsl:stylesheet>
